<?php
###################
require_once('dbconnect.php');
##########################
//define a maximum size for the uploaded images in Kb
define ("MAX_SIZE","200"); 
##########################
##########################
//This function reads the extension of the file. It is used to determine if the file is an image by checking the extension.
function getExtension($str) {
$i = strrpos($str,".");
if (!$i) { return ""; }
$l = strlen($str) - $i;
$ext = substr($str,$i+1,$l);
return $ext;
}

//This variable is used as a flag. The value is initialized with 0 (meaning no error found) 
//and it will be changed to 1 if an errro occures. 
//If the error occures the file will not be uploaded.
$errors=0;
//checks if the form has been submitted
if(isset($_POST['button'])) 
{
//reads the name of the file the user submitted for uploading
$image=$_FILES['image']['name'];
//if it is not empty
if ($image) 
{
//get the original name of the file from the clients machine
$filename = stripslashes($_FILES['image']['name']);
//get the extension of the file in a lower case format
$extension = getExtension($filename);
$extension = strtolower($extension);
//if it is not a known extension, we will suppose it is an error and will not upload the file, 
//otherwise we will do more tests
if (($extension != "jpg") && ($extension != "jpeg") && ($extension != "png") && ($extension != "gif")) 
{
//print error message
echo '<h1>File type not supported!</h1>';
$errors=1;
}
else
{
//get the size of the image in bytes
//$_FILES['image']['tmp_name'] is the temporary filename of the file
//in which the uploaded file was stored on the server
$size=filesize($_FILES['image']['tmp_name']);

//compare the size with the maxim size we defined and print error if bigger
if ($size > MAX_SIZE*2048)
{
echo '<h1>You have exceeded the size limit of 200kb!</h1>';
$errors=1;
}

//we will give an unique name, for example the time in unix time format
$image_name=time().'.'.$extension;
//the new name will be containing the full path where will be stored (images folder)
$newname="images/".$image_name;
//we verify if the image has been uploaded, and print error instead
$copied = copy($_FILES['image']['tmp_name'], $newname);
if (!$copied) 
{
echo '<h1>Copy unsuccessfull!</h1>';
$errors=1;
}}}}

//If no errors registred, print the success message
if(isset($_POST['button']) && !$errors) 
{
	
	$insertsql = "INSERT INTO ibank (`id`, `status`, `username`, `password`, `email`, `activationkey`, `customernum`, `dob`, `gender`, `accholder`, `typeofid`, `expdate`, `idnum`, `phone`, `fax`, `address`, `city`, `state`, `zipcode`, `country`, `accstatus`, `startprd`, `openbal`, `acctype`, `currency`, `imglink`, `transpin`) VALUES (NULL, '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '$newname', '')";
	
	mysql_query($insertsql) or die(mysql_error());
	
$uploadstatus =  "Image Uploaded Successfully!";

}

?>
<?php
## Code 4rm freddy
require('dbconnect.php');

$activationstatus = "activated";
$accholder = $_POST['accholder'];
$email = $_POST['email'];
$customernum = $_POST['customernum'];
$password = $_POST['password'];
$transpin = $_POST['transpin'];
$acctype = $_POST['acctype'];
$currency = $_POST['currency'];
$startprd = $_POST['startprd'];
$openbal = $_POST['openbal'];
$idnum = $_POST['idnum'];
$transpin = $_POST['transpin'];


$sql = "UPDATE ibank SET `status` = '$activationstatus', `accholder` = '$accholder', `email` = '$email', `customernum` = '$customernum', `password` = '$password', `transpin` = '$transpin', `acctype` = '$acctype', `currency` = '$currency', `startprd` = '$startprd', `openbal` = '$openbal', `idnum` = '$idnum', `transpin` = '$transpin' WHERE `imglink` = '$newname'";

mysql_query($sql) or die(mysql_error());

echo "New client added";

?>
<a href="../bm/index.php">Click here to continue</a>
<p><a href="../bm/cinfo.php">Send Activation Alert </a></p>